uvc_device_descriptor Struct Reference

Structure representing a UVC device descriptor. More...

`#include <libuvc.h>`

## Data Fields

uint16_t | idVendor
| Vendor ID.
uint16_t | idProduct
| Product ID.
uint16_t | bcdUVC
| UVC compliance level, e.g.
const char * | serialNumber
| Serial number (null if unavailable)
const char * | manufacturer
| Device-reported manufacturer name (or null)
const char * | product
| Device-reporter product name (or null)

## Detailed Description

Structure representing a UVC device descriptor.

(This isn't a standard structure.)

## Field Documentation

## bcdUVC

uint16_t uvc_device_descriptor::bcdUVC

UVC compliance level, e.g.

0x0100 (1.0), 0x0110

The documentation for this struct was generated from the following file:

- libuvc.h